Package org.eclipse.rdf4j.common.platform.support

## Class MacOSXPlatform

- java.lang.Object
- - org.eclipse.rdf4j.common.platform.AbstractPlatform
  - - org.eclipse.rdf4j.common.platform.support.PosixPlatform
    - - org.eclipse.rdf4j.common.platform.support.MacOSXPlatform

- All Implemented Interfaces:
    `Platform`

      public class MacOSXPlatform
      extends PosixPlatform

  Platform implementation for Mac OS X platforms.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `APPLICATION_DATA` |

    - ### Fields inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `colonReplacement, logger, separatorReplacement, whitespaceReplacement`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.platform.Platform

      `APPDATA_BASEDIR_PROPERTY, OLD_DATADIR_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MacOSXPlatform()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dataDirPreserveCase()` | Check if case is preserved
    `boolean` | `dataDirReplaceWhitespace()` | Check if whitespace is replaced
    `String` | `getName()` | Get a descriptive name for this platform.
    `File` | `getOSApplicationDataDir()` | Returns the operating system dependent application data directory.

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.support.PosixPlatform

      `dataDirReplaceColon`

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `getApplicationDataDir, getApplicationDataDir, getOSApplicationDataDir, getRelativeApplicationDataDir, getRelativeApplicationDataDir, getUserHome`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_DATA

          public static final String APPLICATION_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MacOSXPlatform

          public MacOSXPlatform()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Platform`
      Get a descriptive name for this platform.
      Specified by:
        `getName` in interface `Platform`
      Overrides:
        `getName` in class `PosixPlatform`
      Returns:
        name of the platform

    - #### getOSApplicationDataDir

          public File getOSApplicationDataDir()

      Description copied from interface: `Platform`
      Returns the operating system dependent application data directory.
      Specified by:
        `getOSApplicationDataDir` in interface `Platform`
      Overrides:
        `getOSApplicationDataDir` in class `PosixPlatform`
      Returns:
        application directory

    - #### dataDirPreserveCase

          public boolean dataDirPreserveCase()

      Description copied from interface: `Platform`
      Check if case is preserved
      Specified by:
        `dataDirPreserveCase` in interface `Platform`
      Overrides:
        `dataDirPreserveCase` in class `PosixPlatform`
      Returns:
        boolean

    - #### dataDirReplaceWhitespace

          public boolean dataDirReplaceWhitespace()

      Description copied from interface: `Platform`
      Check if whitespace is replaced
      Specified by:
        `dataDirReplaceWhitespace` in interface `Platform`
      Overrides:
        `dataDirReplaceWhitespace` in class `PosixPlatform`
      Returns:
        boolean